The officially official Devuan Forum!

You are not logged in.

#1 2020-06-04 16:34:43

Job
Member
Registered: 2019-03-13
Posts: 46  

update/upgrade error

Here is sourses.list picked up from the release page

deb http://deb.devuan.org/merged beowulf main
	deb http://deb.devuan.org/merged beowulf-security main
	deb http://deb.devuan.org/merged beowulf-updates main
	deb http://deb.devuan.org/devuan beowulf-proposed main

but I am getting these

root@duala:~# aptitude update
Get: 1 http://deb.devuan.org/merged beowulf InRelease [25.6 kB]
Get: 2 http://deb.devuan.org/merged beowulf-security InRelease [25.6 kB]
Get: 3 http://deb.devuan.org/merged beowulf-updates InRelease [25.6 kB]              
Hit https://downloads.iridiumbrowser.de/deb stable InRelease                                    
Get: 4 http://deb.devuan.org/devuan beowulf-proposed InRelease [54.6 kB]
Get: 5 http://deb.devuan.org/merged beowulf-updates/main amd64 Packages [7,396 B]
Fetched 113 kB in 1s (78.1 kB/s)    
E: Repository 'http://deb.devuan.org/merged beowulf InRelease' changed its 'Suite' value from 'testing' to 'stable'
E: Repository 'http://deb.devuan.org/merged beowulf-security InRelease' changed its 'Suite' value from 'testing-security' to 'stable-security'
E: Failed to download some files
W: Failed to fetch http://deb.devuan.org/merged/dists/beowulf/InRelease: 
W: Failed to fetch http://deb.devuan.org/merged/dists/beowulf-security/InRelease: 
E: Some index files failed to download. They have been ignored, or old ones used instead.

I always have issues with Devuan repos.  Hope someone can help me.

Offline

#2 2020-06-04 17:07:28

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 776  
Website

Re: update/upgrade error

Run

# apt update
# apt upgrade

And answer "yes" when it asks.

You should probably remove the proposed-updates repository though, unless you want to test the new bugs.


Black Lives Matter

Offline

#3 2020-06-04 18:59:41

Job
Member
Registered: 2019-03-13
Posts: 46  

Re: update/upgrade error

While we are here, are there non-free repos and such or these repos covered everything?

Offline

#4 2020-06-04 19:29:05

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 776  
Website

Re: update/upgrade error

There are non-free and contrib[0] components in the repositories, if you need them just add them to your sources:

deb http://deb.devuan.org/merged beowulf main contrib non-free
deb http://deb.devuan.org/merged beowulf-security main contrib non-free
deb http://deb.devuan.org/merged beowulf-updates main contrib non-free

[0] Containing packages which are open source but which pull in non-free software when installed.


Black Lives Matter

Offline

#5 2020-06-04 19:50:18

Job
Member
Registered: 2019-03-13
Posts: 46  

Re: update/upgrade error

Merci HOAS...Je vois que tu lis la litterarure Francaise.

Offline

#6 2020-06-04 20:12:49

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 776  
Website

Re: update/upgrade error

Alas my French is just awful but I do prefer the quote in it's original language.


Black Lives Matter

Offline

#7 2020-06-04 20:34:10

PRafael
Member
From: São Luis, Maranhão, Brasil
Registered: 2020-03-30
Posts: 3  

Re: update/upgrade error

@Job

Please, follow this solution in

http://kraaima.com/inrelease-changed-it … ble-error/

it worked for me

Regards

Paulo

Last edited by PRafael (2020-06-04 20:34:49)

Offline

#8 2020-06-05 15:50:31

Job
Member
Registered: 2019-03-13
Posts: 46  

Re: update/upgrade error

PRafael, the solution is actually https://devuan.org/os/packages.  At least it was easier and straight forward IMO.

Last edited by Job (2020-06-05 15:51:25)

Offline

Board footer